	function UserInput(nb, n, lda)
	implicit none

*
*     Blocked LU Factorization
*     Input routine
*
*  -- NPAC, Syracuse University --
*     Manish Parashar
*     April 1992
*

	integer UserInput
	integer nb, n, lda
	integer i

	i = 1

	print *,'Enter LDA - (0 exits):'
	read *,lda
	if (lda .le. 0) then
		i = 0
		goto 10
	endif

	print *,'Enter Blocksize - (0 exits):'
	read *,nb
	if (nb .le. 0) then
		i = 0
		goto 10
	endif

 10	UserInput = i

	return
	end
